Globalvar
Entity fields:
Example:
{
"data": {
"type": "globalvar",
"attributes": {
"key": "tag_name",
"value": "HolaMundo",
"sensitive": false,
"hcl": false,
"category": "TERRAFORM",
"description": "Azure RG Tag"
}
}
}Supported Operations
Returns the relationship globalvar
organization Identifier
Filters the collection of globalvar using a 'disjoint' RSQL expression
Number of pages to return. Can be used with page[size]
Number of elements per page. Can be used with page[number]
Offset from 0 to start paginating. Can be used with page[limit]
Maximum number of items to return. Can be used with page[offset]
For requesting total pages/records be included in the response page meta data
Successful response
GET /api/v1/organization/{organizationId}/globalvar HTTP/1.1
Accept: */*
Successful response
{
"data": [],
"included": [
{
"attributes": {},
"id": "text",
"relationships": {},
"type": "text"
}
]
}Creates an item of type globalvar and adds it to globalvar
organization Identifier
Successful response
POST /api/v1/organization/{organizationId}/globalvar HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 220
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"category": "TERRAFORM",
"description": "text",
"hcl": true,
"key": "text",
"sensitive": true,
"value": "text"
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
}
}
}
}Successful response
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"category": "TERRAFORM",
"description": "text",
"hcl": true,
"key": "text",
"sensitive": true,
"value": "text"
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
}
}
}
}Deletes an instance of type globalvar
organization Identifier
globalvar Identifier
Successful response
No content
DELETE /api/v1/organization/{organizationId}/globalvar/{globalvarId} HTTP/1.1
Accept: */*
Successful response
No content
Modifies an instance of type globalvar
organization Identifier
globalvar Identifier
Successful response
No content
PATCH /api/v1/organization/{organizationId}/globalvar/{globalvarId} HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 220
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"category": "TERRAFORM",
"description": "text",
"hcl": true,
"key": "text",
"sensitive": true,
"value": "text"
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
}
}
}
}Successful response
No content
Was this helpful?